## jss 5.1.0

=== debian/changelog ===
jss (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * Add jss-symkey files, rework install phase.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 21:56:28 +0200
