=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))

override_dh_auto_build:
	cd build && make all javadoc

override_dh_auto_clean:

override_dh_clean:
	rm -rf build/* build/.targets
	rm -f org/mozilla/jss/util/jssver.h
	dh_clean

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	rm -rf debian/tmp/usr/share/javadoc
	mkdir -p debian/tmp/usr/share
	mv debian/tmp/usr/lib/java debian/tmp/usr/share
	rm -f debian/tmp/usr/lib/jss/*.jar

override_dh_auto_test:
	cd build && ctest --output-on-failure

# For maintainer use only, generate a tarball:
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream --prefix=jss-$(UV)/ | \
		xz --best \
		> ../jss_$(UV).orig.tar.xz

%:
	dh $@ --with quilt --builddirectory=build/
