=== debian/changelog ===
jss (5.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Feb 2023 09:07:50 +0200

jss (5.2.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1016242)
  * rules: Allow tests to fail, as they fail against libnss3 >= 3.81.
    (jss #882)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Nov 2022 18:57:25 +0200
