## jss 5.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,8 @@
 endif()
 option(TEST_WITH_INTERNET "When enabled, runs various tests which require an internet connection. " ${TEST_WITH_INTERNET_ENV})
 
+option(WITH_JAVA "Build Java binaries." TRUE)
+option(WITH_NATIVE "Build native binaries." TRUE)
 option(WITH_JAVADOC "Build Javadoc package." TRUE)
 
 # Find NSPR and NSS Libraries.
@@ -84,29 +86,48 @@
 
 add_subdirectory(symkey)
 
-install(
-    FILES
-        ${CMAKE_CURRENT_BINARY_DIR}/jss.jar
-    DESTINATION
-        ${JNI_DIR}
+add_custom_target(
+    java ALL
+    DEPENDS generate_java generate_jar
 )
 
-install(
-    FILES
-        ${CMAKE_CURRENT_BINARY_DIR}/libjss.so
-    DESTINATION
-        ${LIB_DIR}/jss
-    PERMISSIONS
-        OWNER_READ OWNER_WRITE OWNER_EXECUTE
-        GROUP_READ GROUP_EXECUTE
-        WORLD_READ WORLD_EXECUTE
+add_custom_target(
+    native ALL
+    DEPENDS generate_c generate_so symkey_library
 )
 
-install(
-    CODE "execute_process(
-        COMMAND ln -sf ../../../${JNI_DIR}/jss.jar \$ENV{DESTDIR}${LIB_DIR}/jss/jss.jar
-    )"
-)
+if(WITH_JAVA)
+    install(
+        FILES
+            ${CMAKE_CURRENT_BINARY_DIR}/jss.jar
+        DESTINATION
+            ${JNI_DIR}
+    )
+
+    install(
+        CODE "
+            MESSAGE(
+                \"-- Installing: \$ENV{DESTDIR}${LIB_DIR}/jss/jss.jar\"
+            )
+            execute_process(
+                COMMAND ln -sf ../../../${JNI_DIR}/jss.jar \$ENV{DESTDIR}${LIB_DIR}/jss/jss.jar
+            )
+        "
+    )
+endif(WITH_JAVA)
+
+if(WITH_NATIVE)
+    install(
+        FILES
+            ${CMAKE_CURRENT_BINARY_DIR}/libjss.so
+        DESTINATION
+            ${LIB_DIR}/jss
+        PERMISSIONS
+            OWNER_READ OWNER_WRITE OWNER_EXECUTE
+            GROUP_READ GROUP_EXECUTE
+            WORLD_READ WORLD_EXECUTE
+    )
+endif(WITH_NATIVE)
 
 if(WITH_JAVADOC)
     install(
