=== debian/changelog ===
jss (5.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Aug 2023 11:21:16 +0300

jss (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * install: Updated.
  * control: Bump debhelper-compat to 13.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 May 2023 15:22:52 +0300
