## jss 5.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
 option(WITH_JAVA "Build Java binaries." TRUE)
 option(WITH_NATIVE "Build native binaries." TRUE)
 option(WITH_JAVADOC "Build Javadoc package." TRUE)
+option(WITH_TESTS "Build tests package." TRUE)
 
 # Find NSPR and NSS Libraries.
 find_package(NSPR REQUIRED)
@@ -82,19 +83,34 @@
 
 jss_config()
 jss_build()
-jss_tests()
+
+if(WITH_TESTS)
+    jss_tests()
+endif(WITH_TESTS)
 
 add_subdirectory(symkey)
+
+if(WITH_TESTS)
+    add_subdirectory(tests)
+endif(WITH_TESTS)
 
 add_custom_target(
     java ALL
     DEPENDS generate_java generate_jar
 )
 
+if(WITH_TESTS)
+    add_dependencies(java generate_tests)
+endif(WITH_TESTS)
+
 add_custom_target(
     native ALL
     DEPENDS generate_c generate_so symkey_library
 )
+
+if(WITH_TESTS)
+    add_dependencies(native generate_test_so)
+endif(WITH_TESTS)
 
 if(WITH_JAVA)
     install(
