=== debian/changelog ===
jss (5.5.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:34:04 +0000

jss (5.5.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1064717)
  * control: Bump policy to 4.6.1.
  * control: Migrate to junit5.
  * rules: Don't ship test scrips.
  * control: Migrate to pkgconf.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Feb 2024 16:40:30 +0200
