=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: jss
 Section: java
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.14),
  default-jdk,
- junit4,
+ junit5,
  libcommons-codec-java,
  libcommons-lang3-java,
  libnss3-dev,
  libnss3-tools,
  libslf4j-java,
- pkg-config,
+ pkgconf,
  quilt,
  unzip,
  zip,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
 Homepage: https://github.com/dogtagpki/jss
