=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
+	rm -rf debian/tmp/jss
 	rm -rf debian/tmp/usr/share/javadoc
 	mkdir -p debian/tmp/usr/share
 	mv debian/tmp/usr/lib/java debian/tmp/usr/share
