## jss 5.9.0~beta3

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,13 @@
     set(TEST_WITH_INTERNET_ENV TRUE)
 endif()
 option(TEST_WITH_INTERNET "When enabled, runs various tests which require an internet connection. " ${TEST_WITH_INTERNET_ENV})
+
+##
+# NSS V3.112 have some PQC defs in auth_alg_defs of ssl3con.c
+# that need to be reflected into JSS SSLCipher.c (auth_alg_defs[])
+# Some OS platforms not yet have such defs.
+#
+option(ENABLE_NSS_VERSION_PQC_DEF "Enable PQC DEF to match NSS" OFF)
 
 option(WITH_JAVA "Build Java binaries." TRUE)
 option(WITH_NATIVE "Build native binaries." TRUE)
@@ -108,6 +115,8 @@
     DEPENDS generate_c generate_so symkey_library
 )
 
+add_subdirectory(tools)
+
 if(WITH_TESTS)
     add_dependencies(native generate_test_so)
 endif(WITH_TESTS)
