=== debian/changelog ===
jss (5.9.0~beta3-3) unstable; urgency=medium

  * Fix maven build.
  * control: Drop obsolete Breaks.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Feb 2026 15:56:07 +0200

jss (5.9.0~beta3-2) unstable; urgency=medium

  * Build jss-tomcat.jar

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Feb 2026 20:35:59 +0200

jss (5.9.0~beta3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Don't specify --with=quilt, since package uses '3.0 (quilt)' source format.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Timo Aaltonen ]
  * New upstream beta release.
  * control: Bump libnss3-dev dependency.
  * control, rules: Build with javahelper.
  * control: Add libtomcat10-java to build-depends.
  * control: Add libjss-tools, disabled for now.
  * watch: Migrate to version 5.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Feb 2026 12:46:16 +0200
