=== debian/control ===
Source: jss
Section: java
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>,
Priority: optional
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.14),
 default-jdk,
 junit5,
 libcommons-codec-java,
 libcommons-lang3-java,
 libnss3-dev (>= 2:3.101),
 libnss3-tools,
 libslf4j-java,
 libtomcat10-java,
 maven-debian-helper,
 pkgconf,
 quilt,
 unzip,
 zip,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/freeipa-team/jss.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/jss
Homepage: https://github.com/dogtagpki/jss

Package: libjss-java
Architecture: any
Depends:
 ${shlibs:Depends},
 ${maven:Depends}
 ${misc:Depends},
Description: Network Security Services for Java
 Network Security Services for Java (JSS) is a Java interface
 to NSS. It supports most of the security standards and
 encryption technologies supported by NSS. JSS also provides
 a pure Java interface for ASN.1 types and BER/DER encoding.

#Package: libjss-tools
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends},
#Description: Network Security Services for Java -- tools
# Network Security Services for Java (JSS) is a Java interface
# to NSS. It supports most of the security standards and
# encryption technologies supported by NSS. JSS also provides
# a pure Java interface for ASN.1 types and BER/DER encoding.
# .
# This package includes JSS tools.
