=== debian/rules ===
--- 
+++ 
@@ -7,23 +7,46 @@
 MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
 MOD_PATCH_VERSION := $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))
 
+override_dh_clean:
+	dh_clean -O--buildsystem=maven
+	dh_clean
+	rm -rf build2/* build2/.targets
+	rm -f org/mozilla/jss/util/jssver.h
+
+override_dh_auto_configure:
+	dh_auto_configure -O--buildsystem=maven
+	dh_auto_configure -O-Bbuild2
+
 override_dh_auto_build:
-	cd build && make all javadoc
+	dh_auto_build -O--buildsystem=maven
 
-override_dh_auto_clean:
+	mkdir -p build2/classes/jss
+	ln -sf ../../../base/target/classes/org build2/classes/jss
+	mkdir -p build2/classes/tests
+	ln -sf ../../../base/target/test-classes/org build2/classes/tests
 
-override_dh_clean:
-	rm -rf build/* build/.targets
-	rm -f org/mozilla/jss/util/jssver.h
-	dh_clean
+	ln -sf ../base/target/jss.jar build2
+	ln -sf ../base/target/jss-tests.jar build2
+
+	mkdir -p build2/include/jss
+	ln -sf ../../../base/target/include/_jni build2/include/jss/_jni
+
+	dh_auto_build -O-Bbuild2
 
 override_dh_auto_install:
-	dh_auto_install --destdir=debian/tmp
+	dh_auto_install -O--buildsystem=maven
+	dh_auto_install -O-Bbuild2 --destdir=debian/tmp
+
+	# tests
 	rm -rf debian/tmp/jss
+
 	rm -rf debian/tmp/usr/share/javadoc
+
 	mkdir -p debian/tmp/usr/share
 	mv debian/tmp/usr/lib/java debian/tmp/usr/share
 	rm -f debian/tmp/usr/lib/jss/*.jar
+
+	rm -f debian/tmp/usr/bin/*
 
 override_dh_auto_test:
 	cd build && ctest --output-on-failure || true
@@ -36,4 +59,4 @@
 		> ../jss_$(UV).orig.tar.xz
 
 %:
-	dh $@ --with quilt --builddirectory=build/
+	dh $@
