=== debian/watch ===
Version: 5

Source: https://github.com/dogtagpki/jss/tags/
Matching-Pattern: .*/releases/tag/@ANY_VERSION@
Filename-Mangle: s/@ANY_VERSION@$/jss-$1.tar.gz/
